Subject: bug#9917: 24.0.90; Make `goto-line' consistent with the line number from the minibuffer

From: Juri Linkov <[email-masked]>
Date: Tue, 01 Nov 2011 11:35:01 +0200

> When you are in a narrowed buffer (e.g. an Info buffer), the line
> number that you see in the mode-line is relative to the narrowed
> portion, whereas the `goto-line' (M-g g) command requires you to
> supply an absolute line number.
>
> This discrepancy is quite confusing for users, so my proposal is
> obvious: adjust the behaviour of `goto-line' to make it consistent
> with the line number showed in the minibuffer, i.e, to consider its
> LINE argument relative to the narrowed part if there's one, or else to
> the whole buffer.

Just removing `(widen)' from `goto-line' will fix this.  But the question is
why it's here.  What was the intention of adding `(widen)' here.